<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cai.mapper.AnchorApplyMapper">

    <select id="pageAdmin" resultType="com.ruoyi.cai.dto.admin.vo.AnchorApplyAdminVo">
        select t1.*,t2.age,t2.avatar,t2.usercode,t2.nickname,t2.mobile,t2.gender
        from cai_anchor_apply t1
        left join cai_user t2 on t1.user_id = t2.id
        <where>
            <if test="bo.mobile != null and bo.mobile != ''">
                and t2.mobile = #{bo.mobile}
            </if>
            <if test="bo.usercode != null and bo.usercode != ''">
                and t2.usercode = #{bo.usercode}
            </if>
            <if test="bo.auditStatus != null">
                and t1.audit_status = #{bo.auditStatus}
            </if>
        </where>
        order by t1.create_time desc
    </select>


</mapper>
